<?php

App::uses('AppHelper', 'View/Helper');

class CaseStudiesHelper extends AppHelper {

	public function getFilterDates($maxDate = null) {
		$dates = [];

		$currentDate = new DateTime();

		//Get this years months that have passed and current month
		while ($currentDate->format('m') != 12) {
			$month = [];

			//Create the link label
			$month['label'] = Inflector::slug($currentDate->format('F') . ' ' . $currentDate->format('Y'));

			//Create the date query
			$queryDate = $currentDate;
			$queryDate->setTimezone(new DateTimeZone('UTC'));
			$month['start'] = Inflector::slug($currentDate->format('Y-m-01 00:00:00'));
			$month['end'] = Inflector::slug($currentDate->format('Y-m-t 23:59:59'));

			$dates[] = $month;

			//Get the next month
			$currentDate->modify('-1 month');
		}

		//Reset current date to now to get the current year
		$currentDate = new DateTime();

		//Calculate the end of the year before
		$olderThanDate = [];
		$olderThanDate['label'] = Inflector::slug('Older than ' . $currentDate->format('Y'));

		$currentDate->modify('-1 year');
		$currentDate->setTimezone(new DateTimeZone('UTC'));
		$olderThanDate['end'] = Inflector::slug($currentDate->format('Y-12-31 23:59:59'));
		$dates[] = $olderThanDate;

		return $dates;
	}
}
